# TdApi.TestCallVectorString (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: TestCallVectorString

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TestCallVectorString

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.TestVectorString>
it.tdlight.jni.TdApi.TestCallVectorString

Enclosing class:
  TdApi

public static final class TdApi.TestCallVectorString extends TdApi.Function<TdApi.TestVectorString>
Returns the received vector of strings; for testing only. This is an offline method. Can be called before authorization.

Returns `TestVectorString`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String[]`
`x`
Vector of strings to return.

## Constructor Summary

Constructors
Constructor
Description
`TestCallVectorString()`
Returns the received vector of strings; for testing only.
`TestCallVectorString(DataInput input)`
Returns the received vector of strings; for testing only.
`TestCallVectorString(String[] x)`
Returns the received vector of strings; for testing only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### x

public String[] x
Vector of strings to return.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### TestCallVectorString

public TestCallVectorString()
Returns the received vector of strings; for testing only. This is an offline method. Can be called before authorization.

Returns `TestVectorString`

### TestCallVectorString

public TestCallVectorString(String[] x)
Returns the received vector of strings; for testing only. This is an offline method. Can be called before authorization.

Returns `TestVectorString`

Parameters:
  `x` - String[] Vector of strings to return.

### TestCallVectorString

public TestCallVectorString(DataInput input) throws IOException
Returns the received vector of strings; for testing only. This is an offline method. Can be called before authorization.

Returns `TestVectorString`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`